<?
	  $pdf->Ln(2);


      //to address

      $address = $this->parent_name;
	  if($this->parent_contact_name) {
	  	 $address .= "\n".$this->parent_contact_name;
	  	 if($this->parent_contact_title) $address .= "\n".$this->parent_contact_title;
	  }
      if($this->parent_address_street)      $address .= "\n".$this->parent_address_street;

      if($this->parent_address_postalcode) $address .= "\n".$this->parent_address_postalcode;
	  else {
	  	$r=mysql_fetch_array(mysql_query("select shipping_address_postalcode from accounts where id='".$this->parent_id."'"));
		$address.="\n".$r['shipping_address_postalcode'];
	  }

      if($this->parent_address_city)        $address .= " ".$this->parent_address_city;

      if($this->to_vatid)                  $address .= "\n\n".$mod_strings['LBL_PDF_VATID']." ".$this->to_vatid;

      $pdf->SetFont('arialpl', '', 10);

      $pdf->Ln(2);
      $current = $pdf->GetY();
      //$pdf->MultiCell(0,4,$address,0,'L');
      $current2 = $pdf->GetY();

      //$current = $pdf->GetY();
      //$pdf->Ln(7);
      $pdf->SetXY($pdf->fw-$pdf->rMargin-30,$current);
      $table = array(); 
      $table [0]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_NUMBER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [1]['data'] = array('width' => 30, 'value' => $this->document_no, 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [2]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_DATE_REGISTER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [3]['data'] = array('width' => 30, 'value' => $this->register_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
  	
	  $next = 4;
	  if(isset($this->validtill_date) && $this->validtill_date != '') {
	  	$table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_VALIDTILL_DATE'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
		$table [$next++]['data'] = array('width' => 30, 'value' => $this->validtill_date, 'border' => 0, 'overflow' => 1, 'align' => 'L');
	  }
	  if($this->correct_id){
	  	$table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_CORRECT_TO'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
		$r=mysql_fetch_array(mysql_query("select document_no from ecmstockdocinsideins where id='".$this->correct_id."'"));
		$table [$next++]['data'] = array('width' => 30, 'value' => $r['document_no'], 'border' => 0, 'overflow' => 1, 'align' => 'L');
	  }
	  
	  
	  $table [$next++]['data'] = array('width' => 30, 'value' => $mod_strings['LBL_PDF_OWNER'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 9);
      $table [$next++]['data'] = array('width' => 30, 'value' => $this->setUser()->full_name, 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $pdf->DrawTable($table, null, 0.5, 0.5, 3);
      
      $pdf->SetY($current2);

      $pdf->Ln(12);

      $pdf->SetFont('arialpl','','22');
	  
	  $pdf->SetY(45);
	  $pdf->SetX(65);
      if($this->correct_id) $pdf->MultiCell(90,10,$mod_strings['LBL_PDF_DOCUMENT_NAME_CORRECT'],70,'C');
	  else $pdf->MultiCell(90,10,$mod_strings['LBL_PDF_DOCUMENT_NAME'],70,'C');
	  
	  $yaftername=$pdf->GetY()+7;
	  if($this->correct_id)$yaftername+=7;

      
	  if(isset($this->validtill_date) && $this->validtill_date != '') $pdf->Ln(9);
      

      $this->loadParser();


      $this->header_text = $this->template->mfp->parseText($this->header_text);

      $this->footer_text = $this->template->mfp->parseText($this->footer_text);

      $this->ads_text = $this->template->mfp->parseText($this->ads_text);



     

      //header text

      $pdf->Ln(20);

      $pdf->SetFont('arialpl','B','10');
	  
	  $pdf->SetY(36);
      $pdf->MultiCell(0,4,$mod_strings['LBL_PDF_QUOTE_FOR'],0,'J');
	  $pdf->Ln(1);
      $pdf->SetFont('arialpl','','10');
      $pdf->MultiCell(0,4,$address,0,'J');

      

      $pdf->Ln(20);
	  $pdf->SetY($yaftername);
	  
	  
	  
	  
	  
	  
	  
	  
	  global $mod_strings;
      if(!isset($this->position_list) || !is_array($this->position_list))
        $this->position_list = $this->getPositionList(true);
      $calc = $this->calculate($this->position_list,true);
      $this->position_list = $this->formatPositions($this->position_list);
      
      $calc['total'] .= ' '.$this->currency_symbol;
      $calc['subtotal'] .= ' '.$this->currency_symbol;
      if($calc['discount']) {
        $calc['total2'] .= ' '.$this->currency_symbol;
        $calc['discount']['value'] .= ' '.$this->currency_symbol;
      }
      
      if(isset($calc['vats']) && is_array($calc['vats']) && count($calc['vats']) > 0)
        foreach($calc['vats'] as $key => $value) $calc['vats'][$key] .= ' '.$this->currency_symbol;

      $pdf->MultiCell(0,4,$mod_strings['LBL_PDF_ORDER_NO'].": ".$this->order_no." ".$mod_strings['LBL_PDF_ORDER_QTY'].": ".$this->order_qty." ".$mod_strings['LBL_PDF_SUPPLIER_CODE'].": ".$this->supplier_code,0,'J');
      $pdf->Ln(4);

      $name_w = 63;
	  $image_w = 10;
	  $recipient_code_w = 10;
	  
	  /*if($this->show_images_on_offers){
	  	$name_w -= $image_w;
	  }*/
	  if($this->show_recipient_code){
	  	$name_w -= $recipient_code_w;
	  }
	  
      if($calc['draw_discount']){
	  	$name_w -= 8;
	  }
      if($calc['draw_vat']){
	  	$name_w -= 8;
	  }
	  
      $table = array(); 
      //if($this->show_images_on_offers)
	 // $table [0]['image'] = array('width' => $image_w, 'value' => $mod_strings['LBL_PDF_LIST_IMAGE'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [0]['position'] = array('width' => 5, 'value' => $mod_strings['LBL_PDF_LIST_POSITION'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [0]['code'] = array('width' => 10, 'value' => $mod_strings['LBL_PDF_LIST_CODE'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [0]['recipient_code'] = array('width' => 10, 'value' => $mod_strings['LBL_PDF_LIST_RECIPIENT_CODE'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'C');
      $table [0]['description'] = array('width' => $name_w, 'value' => $mod_strings['LBL_PDF_LIST_DESCRIPTION'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'C');
      $table [0]['quantity'] = array('width' => 12, 'value' => $mod_strings['LBL_PDF_LIST_QUANTITY'],'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L');
      $table [0]['unit'] = array('width' => 5, 'value' => $mod_strings['LBL_PDF_LIST_UNIT'], 'border' => 0,'background' => array(233,233,233), 'overflow' => 1, 'align' => 'C');
      //$table [0]['unit'] = array('width' => 10, 'value' => $mod_strings['LBL_PDF_LIST_UNIT'],'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L');
      //$table [0]['unit_price'] = array('width' => 14, 'value' => $mod_strings['LBL_PDF_LIST_PRICE'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'C');
      //if($calc['draw_discount']) $table [0]['discount'] = array('width' => 8, 'value' => $mod_strings['LBL_PDF_LIST_DISCOUNT'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'C');
      //if($calc['draw_vat']) $table [0]['vat_id'] = array('width' => 8, 'value' => $mod_strings['LBL_PDF_LIST_VAT'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'C');
      //$table [0]['total'] = array('width' => 14, 'value' => $mod_strings['LBL_PDF_LIST_TOTAL'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'C');

      $i = 1;
	  $lv=return_app_list_strings_language($this->ecmlanguage);
	  
      if($this->position_list != '')
      foreach($this->position_list as $p) {
		/*if($this->show_images_on_offers){
			if(file_exists($this->getProductImage($p['id'])))$table [$i]['image'] = array('width' => $image_w, 'value' => '', 'border' => 0, 'align' => 'L', 'image_path' => $this->getProductImage($p['id']));
			else $table [$i]['image'] = array('width' => $image_w, 'value' => '', 'border' => 0, 'align' => 'L');
		}*/
        $table [$i]['position'] = array('width' => 5, 'value' => $i, 'border' => 0, 'align' => 'L', );
        $table [$i]['code'] = array('width' => 10, 'value' => $p['code'], 'border' => 0, 'align' => 'L', );
        $table [$i]['recipient_code'] = array('width' => 10, 'value' => htmlspecialchars_decode($p['recipient_code']), 'border' => 0, 'align' => 'L', );
        $table [$i]['description'] = array('width' => $name_w, 'value' => htmlspecialchars_decode($p['name']), 'border' => 0, 'align' => 'L', );
        $table [$i]['quantity'] = array('width' => 12, 'value' => $p['quantity'], 'border' => 0, 'align' => 'L', );
        $table [$i]['unit'] = array('width' => 5, 'value' => $lv['ecmproducts_unit_dom'][$p['unit_id']], 'border' => 0, 'align' => 'C', 'font-size' => 7 );
        //$table [$i]['unit'] = array('width' => 10, 'value' => $p['unit_id'], 'border' => 0, 'align' => 'L', );
        //$table [$i]['unit_price'] = array('width' => 14, 'value' => $p['price'], 'border' => 0, 'align' => 'R', );
        //if($calc['draw_discount']) $table [$i]['discount'] = array('width' => 8, 'value' => $p['discount'], 'border' => 0, 'align' => 'R', );
        //if($calc['draw_vat']) $table [$i]['vat_id'] = array('width' => 8, 'value' => $p['vat_name'], 'border' => 0, 'align' => 'R', );
        //$table [$i]['total'] = array('width' => 14, 'value' => $p['total'], 'border' => 0, 'align' => 'R', );
        $i++;
      }

      $pdf->DrawTable($table,array(0));
      //total, vat, subtotal
/*
      $pdf->Ln(4);
      $pr = ($pdf->fw-$pdf->lMargin-$pdf->rMargin)/100;
      //$pdf->SetX($pdf->fw-$pdf->rMargin-$pr*34);
      $table = array();    

      if($calc['vats']) {  
        $table [] = array(
          'subtotal1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_TOTAL'], 'background' => array(255,255,255), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
          'subtotal2' => array('width' => 34, 'value' => $calc['subtotal'], 'border' => 0, 'overflow' => 1, 'align' => 'R', 'font-size' => 9), );

        foreach($calc['vats'] as $key => $value){
		  $r=mysql_fetch_array(mysql_query("select name from ecmvats where id='".$key."'"));
		  $vvn=$r['name'];
          $table [] = array(
            'vat1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_VAT'].' ('.$vvn.')', 'background' => array(255,255,255), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
            'vat2' => array('width' => 34, 'value' => $value, 'border' => 0, 'overflow' => 1, 'align' => 'R', 'font-size' => 9), );
		}
      }

      if(isset($calc['discount'])) {
        $table [] = array(
          'total21' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_TOTAL'], 'background' => array(255,255,255), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9, 'font-style' => 'b'),
          'total22' => array('width' => 34, 'value' => $calc['total2'], 'border' => 0, 'overflow' => 1, 'align' => 'R' , 'font-size' => 9), );
        $table [] = array(
          'discount1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_DISCOUNT'].' '.$calc['discount']['procent'], 'background' => array(255,255,255), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9, 'font-style' => 'b'),
          'discount2' => array('width' => 34, 'value' => $calc['discount']['value'], 'border' => 0, 'overflow' => 1, 'align' => 'R' , 'font-size' => 9), );
      } 

      $table [] = array(
        'total1' => array('width' => 66, 'value' => $mod_strings['LBL_PDF_END_TOTAL'], 'background' => array(233,233,233), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 9, 'font-style' => 'b'),
        'total2' => array('width' => 34, 'value' => $calc['total'], 'border' => 0, 'background' => array(233,233,233), 'overflow' => 1, 'align' => 'R' , 'font-size' => 9, 'font-style' => 'b'), );
      
      $pdf->DrawTable($table);*/
?>